diff -u -urN vpnclient-linux-4.7.00.0640-k9/interceptor.c vpnclient-linux-4.7.00.0640-k9-te/interceptor.c
--- vpnclient-linux-4.7.00.0640-k9/interceptor.c	2005-09-14 05:12:39.000000000 +0200
+++ vpnclient-linux-4.7.00.0640-k9-te/interceptor.c	2005-11-16 16:30:13.000000000 +0100
@@ -3,11 +3,19 @@
 ***************************************************************************
 *
 *  File:    interceptor.c
-*  Date:    04/10/2001
+*  Date:    04/10/2001 modified 05/04/2002
 *
 ***************************************************************************
 * This module implements the linux driver.
 ***************************************************************************/
+
+
+/* Dieses File gegen die Original interceptor.c austauchen. Danach File
+   editieren und nach "HIER AENDERN" suchen (kommt 2 mal im Source vor).
+   Dort jeweils die Interfaces eintragen, die nicht deaktiviert werden sollen.
+*/
+
+
 #include <linux/config.h>
 #include <linux/version.h>
 #include <linux/module.h>
@@ -220,6 +228,15 @@
         goto exit_gracefully;
     }
 
+        /* HIER AENDERN: Die If-Schleife fuer alle Interfaces eintragen,
+                         die nicht deaktiviert werden sollen */
+
+    if (strcmp("eth0", dev->name) == 0) {
+        goto exit_gracefully;
+    }
+
+        /* Ende der Aenderungen */
+
     for (i = 0; i < MAX_INTERFACES; i++)
     {
         if (Bindings[i].pDevice == NULL)
@@ -511,6 +528,17 @@
 #ifdef MOD_INC_AND_DEC
     MOD_INC_USE_COUNT;
 #endif
+
+    /* HIER AENDERN: Die If-Schleife fuer alle Interfaces eintragen,
+                         die nicht deaktiviert werden sollen */
+
+    if (strcmp("eth0", dev->name) == 0) {
+        rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
+        goto exit_gracefully;
+    }
+
+     /* Ende der Aenderungen */
+
     if (dev->type == ARPHRD_LOOPBACK)
     {
         rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
@@ -850,7 +878,7 @@
     if (status == 0)
     {
         printk(KERN_INFO "Cisco Systems VPN Client Version "
-                BUILDVER_STRING " kernel module loaded\n");
+                BUILDVER_STRING " kernel module loaded (no interface deactivating)\n");
     }
     return (status);
 }
